---

- name: Configure openresty repository
  yum_repository:
    name: openresty
    description: Official OpenResty Open Source Repository for CentOS
    baseurl: https://openresty.org/package/centos/$releasever/$basearch
    gpgcheck: True
    gpgkey: "{{ ansible_distribution_major_version is version('8', '>') | ternary('https://openresty.org/package/pubkey2.gpg', 'https://openresty.org/package/pubkey.gpg') }}"
    exclude:
      - perl-IPC-Run
      - perl-IO-Tty
  tags: repo,web
